یدالله ذکاوت

مشکل در نصب مانگو دی بی در کالی لینوکس

یدالله ذکاوت ۱۳۹۸/۰۴/۱۰ لینوکس

سلام

شب و روز همگی خوش

چطور میشه مونوگو دی بی رو روی کالی نصب کرد ؟

kali 2019.2

ممنون میشم دوستان راهنمایی کنن .

پاسخ‌ها به این تاپیک
مهران
مهران توسعه دهنده ی وب علاقه مند به اپن سورس
۱۳۹۸/۰۴/۱۲

سلام دوست عزیز

واسه نصب آخرین ورژن از mongo مراحل زیر رو برو :

اول کلید رو اضافه میکنی

sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv 9DA31620334BD75D9DCB49F368818C72E52529D4

بعد به لیست ریپازیتوری ها اضافش میکنی

echo "deb http://repo.mongodb.org/apt/debian "$(lsb_release -sc)"/mongodb-org/4.0 main" | sudo tee /etc/apt/sources.list.d/mongodb.list

بعد نصب پکیج

sudo apt-get update
sudo apt-get install mongodb-org

در آخر هم فعال کردن سرویس (واسه اینکه با هر دفعه خاموش کردن سیستم غیرفعال نشه )

sudo systemctl start mongod.service
sudo systemctl enable mongod.service

اگه موقع آپدیت کردن و نصب پکیج دیدی نصب نمیشه به خاطر اینکه آپدیت از ریپازیتوری رو برای آیپی ایران بستن (میتونی از proxychain و tor استفاده کنی واسه دور زدنش که متاسفانه رنج آیپی تور رو هم بعضی isp ها بستن! که البته بازم میشه تانل زد خواستی بگو معرفی کنم )

یدالله ذکاوت
یدالله ذکاوتعلاقمند به کلود و هوش مصنوعی
۱۳۹۸/۰۴/۱۲

سلام دوست عزیز

خیلی ممنون که وقت گذاشتین

طبق آموزش شما پیش رفتم نصب نشد . این پیام رو داد :

E: Unable to locate package mongodb-org

در ضمن من اینترنت م رو از گوشی می گیرم یعنی اینترنت همراه اول رو از گوشی به اشتراک میزارم و با لپ تاپ ازش استفاده میکنم .

سرویس تور و پراکسی چاین هم فعال کردم که نمیدونم چطور ازش برای اینکار استفاده کنم .

ممنون میشم بررسی کنین .

در پاسخ به

مهران
مهران توسعه دهنده ی وب علاقه مند به اپن سورس
۱۳۹۸/۰۴/۱۴

واسه استفاده از پروکسیچین کلمه ی proxychains رو قبل از هر دستور بنویسید. اگه از تور به عنوان پروکسیت استفاده کنی اینطوری اینترنتی که برای اون دستور استفاده میشه رو به اصطلاح توریفای میکنه

proxychains apt update

پیغامی هم که داده یعنی اینکه پکیج مونگو به ریپازیتوری اضافه نشده یا اسمش اشتباهه. واسه چک کردن اسمش اینو بزن :

apt search mongodb

اینجوری اسم پکیج رو پیدا میکنی.

معمولا تو خود ریپازیتوری ها نسخه ی قدیمی ترش به صورت دیفالت هست

در پاسخ به

یدالله ذکاوت
یدالله ذکاوتعلاقمند به کلود و هوش مصنوعی
۱۳۹۸/۰۴/۱۵

سلام

و خیلی ممنون از زحمت تون

من دستورات بالا رو هم رفتم ولی دوباره همون ارور داد .

حتی ریپوزیتوری ها رو هم تو سورس لیست عوض کردم باز هم همون ارور رو داد .

E: Unable to locate package mongodb-org

و

E: pakage 'mongodb' has no installation candidate

جالبه که من تو منابع انگلیسی هم خیلی گشتم از نوشته ها تا یوتیوب همه تقریبا همون دستورات رو میگن و برای خودشون هم درست میشه .😒

ممنون میشم که وقت میزارین

در پاسخ به

مهران
مهران توسعه دهنده ی وب علاقه مند به اپن سورس
۱۳۹۸/۰۴/۲۲

تلگرام پیام بده بررسیش کنیم :

https://t.me/Mehran_Safaripour

در پاسخ به

یدالله ذکاوت
یدالله ذکاوتعلاقمند به کلود و هوش مصنوعی
۱۳۹۸/۰۴/۲۳

اوکی

ممنون از محبت تون

در پاسخ به